ngram_search_fwdflat.h File Reference

Flat lexicon based Viterbi search. More...

`#include "ngram_search.h"`

Go to the source code of this file.

## Functions

void | ngram_fwdflat_init (ngram_search_t *ngs)
| Initialize N-Gram search for fwdflat decoding.
void | ngram_fwdflat_deinit (ngram_search_t *ngs)
| Release memory associated with fwdflat decoding.
int | ngram_fwdflat_reinit (ngram_search_t *ngs)
| Rebuild search structures for updated language models.
void | ngram_fwdflat_start (ngram_search_t *ngs)
| Start fwdflat decoding for an utterance.
int | ngram_fwdflat_search (ngram_search_t *ngs, int frame_idx)
| Search one frame forward in an utterance.
void | ngram_fwdflat_finish (ngram_search_t *ngs)
| Finish fwdflat decoding for an utterance.

## Detailed Description

Flat lexicon based Viterbi search.

Definition in file ngram_search_fwdflat.h.

## Function Documentation

## ngram_fwdflat_deinit()

void ngram_fwdflat_deinit | ( | ngram_search_t * | ngs | ) |

Release memory associated with fwdflat decoding.

Definition at line 169 of file ngram_search_fwdflat.c.

References ngram_search_s::frm_wordlist, and ngram_search_s::fwdflat_wordlist.

Referenced by ngram_search_free().

## ngram_fwdflat_finish()

void ngram_fwdflat_finish | ( | ngram_search_t * | ngs | ) |

Finish fwdflat decoding for an utterance.

Definition at line 929 of file ngram_search_fwdflat.c.

References ngram_search_mark_bptable(), ngram_search_s::st, and ngram_search_s::word_active.

## ngram_fwdflat_init()

void ngram_fwdflat_init | ( | ngram_search_t * | ngs | ) |

Initialize N-Gram search for fwdflat decoding.

Definition at line 145 of file ngram_search_fwdflat.c.

References ngram_search_s::frm_wordlist, ngram_search_s::fwdflat_wordlist, and ngram_search_s::n_frame_alloc.

Referenced by ngram_search_init().

## ngram_fwdflat_reinit()

int ngram_fwdflat_reinit | ( | ngram_search_t * | ngs | ) |

Rebuild search structures for updated language models.

Definition at line 192 of file ngram_search_fwdflat.c.

References dict_size, ngram_search_s::fwdflat_wordlist, and ngram_search_s::word_chan.

## ngram_fwdflat_search()

int ngram_fwdflat_search | ( | ngram_search_t * | ngs,
|  | int | frame_idx
| ) |  |

Search one frame forward in an utterance.

Definition at line 816 of file ngram_search_fwdflat.c.

References acmod_score(), ngram_search_s::active_word_list, ngram_search_s::best_score, ngram_search_s::fwdflat_wordlist, hmm_context_set_senscore, ngram_search_s::hmmctx, ngram_search_s::n_active_word, ngram_search_s::n_frame, ngram_search_mark_bptable(), ngram_search_s::st, ngram_search_s::word_active, WORSE_THAN, and WORST_SCORE.

## ngram_fwdflat_start()

void ngram_fwdflat_start | ( | ngram_search_t * | ngs | ) |

Start fwdflat decoding for an utterance.

Definition at line 374 of file ngram_search_fwdflat.c.

References ngram_search_s::active_word_list, ngram_search_s::best_score, root_chan_s::hmm, ngram_search_s::n_1ph_words, ngram_search_s::n_active_word, ngram_search_s::n_frame, ngram_search_s::single_phone_wid, ngram_search_s::st, and ngram_search_s::word_chan.